<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for emailtemp in emailtemp package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  emailtemp module in emailtemp package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Emailtemp',
    'names'         => 'Emailtemps',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Emailtemps',
        'sub'   => 'Emailtemps',
        'list'  => 'List of emailtemps',
        'edit'  => 'Edit emailtemp',
        'create'    => 'Create new emailtemp'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Active','Inactive'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'email_type'                 => 'Please enter email type',
        'status'                     => 'Please select status',
        'template_type'              => 'Please enter template type',
        'subject'                    => 'Please enter subject',
        'heading_1'                  => 'Please enter heading 1',
        'content'                    => 'Please enter content',
        'discliamer'                 => 'Please enter discliamer',
        'footer'                     => 'Please enter footer',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        ')'                          => 'Please select )',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'email_type'                 => 'Email type',
        'status'                     => 'Status',
        'template_type'              => 'Template type',
        'subject'                    => 'Subject',
        'heading_1'                  => 'Heading 1',
        'content'                    => 'Content',
        'discliamer'                 => 'Discliamer',
        'footer'                     => 'Footer',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        ')'                          => ')',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'company_id'                 => ['name' => 'Company id', 'data-column' => 1, 'checked'],
        'email_type'                 => ['name' => 'Email type', 'data-column' => 2, 'checked'],
        'template_type'              => ['name' => 'Template type', 'data-column' => 3, 'checked'],
        'subject'                    => ['name' => 'Subject', 'data-column' => 4, 'checked'],
        'heading_1'                  => ['name' => 'Heading 1', 'data-column' => 5, 'checked'],
        'content'                    => ['name' => 'Content', 'data-column' => 6, 'checked'],
        'discliamer'                 => ['name' => 'Discliamer', 'data-column' => 7, 'checked'],
        'footer'                     => ['name' => 'Footer', 'data-column' => 8, 'checked'],
        ')'                          => ['name' => ')', 'data-column' => 9, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Emailtemps',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
