<?php

namespace Litepci\Emailtemp;

use User;

class Emailtemp
{
    /**
     * $emailtemp object.
     */
    protected $emailtemp;

    /**
     * Constructor.
     */
    public function __construct(\Litepci\Emailtemp\Interfaces\EmailtempRepositoryInterface $emailtemp)
    {
        $this->emailtemp = $emailtemp;
    }

    /**
     * Returns count of emailtemp.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.emailtemp.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->emailtemp->pushCriteria(new \Litepie\Litepci\Repositories\Criteria\EmailtempUserCriteria());
        }

        $emailtemp = $this->emailtemp->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('emailtemp::' . $view, compact('emailtemp'))->render();
    }
}
